- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# inventory_hostnames – list of inventory hosts matching a host pattern

- Synopsis

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This lookup understands ‘host patterns’ as used by the hosts: keyword in plays and can return a list of matching hosts from inventory

## Notes

Note

- this is only worth for ‘hostname patterns’ it is easier to loop over the group/group_names variables otherwise.

## Examples

    - name: show all the hosts matching the pattern, i.e. all but the group www
      debug:
        msg: "{{ item }}"
      with_inventory_hostnames:
        - all:!www

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_hostnames list |  | list of hostnames that matched the host pattern in inventory

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]

- This lookup is maintained by the Ansible Community. [community]

### Authors

- Michael DeHaan <michael.dehaan@gmail.com>

- Steven Dossett <sdossett@panath.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.